Generate 3D model
curl --request POST \
--url https://api.siray.ai/v1/3d/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "tencent/hunyuan3d-v2.5-rapid-text-to-3d",
"output_format": "OBJ",
"pbr_enable": true,
"prompt": "example_value",
"texture_enable": true
}
'import requests
url = "https://api.siray.ai/v1/3d/generations"
payload = {
"model": "tencent/hunyuan3d-v2.5-rapid-text-to-3d",
"output_format": "OBJ",
"pbr_enable": True,
"prompt": "example_value",
"texture_enable": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'tencent/hunyuan3d-v2.5-rapid-text-to-3d',
output_format: 'OBJ',
pbr_enable: true,
prompt: 'example_value',
texture_enable: true
})
};
fetch('https://api.siray.ai/v1/3d/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>"
}Tencent
Hunyuan3d V2.5 Rapid text-to-3d
POST
/
v1
/
3d
/
generations
Generate 3D model
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for 3D model generation
Model name to use for the request
Available options:
tencent/hunyuan3d-v2.5-rapid-text-to-3d Text prompt for generation
Output format for the 3D model
Available options:
OBJ, GLB, STL, USDZ, FBX, MP4 Whether to enable PBR (Physically Based Rendering) material output
Whether to enable texture generation
Response
200 - application/json
Successful response
⌘I
